MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024769Open CASCADE[OCCT] OCCT:WOKpublic2014-03-27 10:352015-04-09 08:28
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024769: Extend CDL syntax with "imported transient class" keyword
DescriptionCurrent implementation processes imported classes as non transient ones.
However in current state it is useful to import class inherited from Standard_Transient and managed as Handle(Package_ImportedClass) in arguments and class fields.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024814closedabv Avoid using explicit names of Handle classes 
related to 0026033closedbugmaster Coding rules - get rid from _Handle classes 
child of 0024002closedabv Overall code and build procedure refactoring 

-  Notes
(0028508)
kgv (developer)
2014-03-27 12:03

Patch in CR24769 can be raised to WOK master.
(0028538)
bugmaster (administrator)
2014-03-28 14:27

Fix has been integrated into master of occt-wok repository

- Issue History
Date Modified Username Field Change
2014-03-27 10:35 kgv New Issue
2014-03-27 10:35 kgv Assigned To => kgv
2014-03-27 10:35 kgv Relationship added child of 0024002
2014-03-27 12:03 kgv Note Added: 0028508
2014-03-27 12:03 kgv Assigned To kgv => bugmaster
2014-03-27 12:03 kgv Status new => feedback
2014-03-28 14:27 bugmaster Status feedback => tested
2014-03-28 14:27 bugmaster Note Added: 0028538
2014-03-28 14:27 bugmaster Status tested => verified
2014-03-28 14:27 bugmaster Resolution open => fixed
2014-04-04 11:54 abv Target Version 6.7.1 => 6.8.0
2014-04-09 14:39 kgv Relationship added related to 0024814
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed
2015-04-09 08:28 kgv Relationship added related to 0026033


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker